--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Draw an ellipse centered at <tt>(x, y)</tt> with <tt>x</tt> radius <tt>r1</tt> and <tt>y</tt> radius <tt>r2</tt>. A partial ellipse can be drawn by specifying the starting and finishing angles.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "New Point:"
    body: <tt>(x, y)</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "Subpath:"
    body: New
  type: :NOTE
full_name: PDF::Writer::Graphics#ellipse2_at
is_singleton: false
name: ellipse2_at
params: (x, y, r1, r2 = r1, start = 0, stop = 359.99, segments = 8)
visibility: public
